Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model
Interface ProtegeInstance

All Superinterfaces:
  Comparable<edu.stanford.smi.protege.model.Frame>, edu.stanford.smi.protege.model.Frame, edu.stanford.smi.protege.model.Instance

All Known Subinterfaces:
  Customer, Customer_, GoodCustomer, OWLAllDifferent, OWLAllValuesFrom, OWLAnonymousClass, OWLCardinality, OWLCardinalityBase, OWLClass, OWLComplementClass, OWLDataRange, OWLDatatypeProperty, OWLEnumeratedClass, OWLExistentialRestriction, OWLHasValue, OWLIndividual, OWLIntersectionClass, OWLLogicalClass, OWLMaxCardinality, OWLMinCardinality, OWLNamedClass, OWLNAryLogicalClass, OWLObjectProperty, OWLOntology, OWLProperty, OWLQuantifierRestriction, OWLRestriction, OWLSomeValuesFrom, OWLUnionClass, Product, ProtegeCls, ProtegeSlot, Purchase, RDFIndividual, RDFList, RDFProperty, RDFResource, RDFSClass, RDFSDatatype, RDFSNamedClass, RDFUntypedResource, SWRLAtom, SWRLAtomList, SWRLBuiltin, SWRLBuiltinAtom, SWRLClassAtom, SWRLDataRangeAtom, SWRLDatavaluedPropertyAtom, SWRLDifferentIndividualsAtom, SWRLImp, SWRLIndividual, SWRLIndividualPropertyAtom, SWRLIndividualsAtom, SWRLSameIndividualAtom, SWRLVariable, TestPerson, VeryGoodCustomer

All Known Implementing Classes:
  AbstractCodeGeneratorIndividual, AbstractOWLAnonymousClass, AbstractOWLCardinalityBase, AbstractOWLLogicalClass, AbstractOWLNAryLogicalClass, AbstractOWLProperty, AbstractOWLQuantifierRestriction, AbstractOWLRestriction, AbstractRDFSClass, AbstractSWRLIndividual, AbstractSWRLIndividualsAtom, DefaultCustomer, DefaultCustomer_, DefaultGoodCustomer, DefaultOWLAllDifferent, DefaultOWLAllValuesFrom, DefaultOWLCardinality, DefaultOWLComplementClass, DefaultOWLDataRange, DefaultOWLDatatypeProperty, DefaultOWLEnumeratedClass, DefaultOWLHasValue, DefaultOWLIndividual, DefaultOWLIntersectionClass, DefaultOWLMaxCardinality, DefaultOWLMinCardinality, DefaultOWLNamedClass, DefaultOWLObjectProperty, DefaultOWLOntology, DefaultOWLSomeValuesFrom, DefaultOWLUnionClass, DefaultProduct, DefaultPurchase, DefaultRDFIndividual, DefaultRDFList, DefaultRDFProperty, DefaultRDFSDatatype, DefaultRDFSNamedClass, DefaultRDFUntypedResource, DefaultSWRLAtom, DefaultSWRLAtomList, DefaultSWRLBuiltin, DefaultSWRLBuiltinAtom, DefaultSWRLClassAtom, DefaultSWRLDataRangeAtom, DefaultSWRLDatavaluedPropertyAtom, DefaultSWRLDifferentIndividualsAtom, DefaultSWRLImp, DefaultSWRLIndividualPropertyAtom, DefaultSWRLSameIndividualAtom, DefaultSWRLVariable, DefaultTestPerson, DefaultVeryGoodCustomer

    public interface ProtegeInstance

extends edu.stanford.smi.protege.model.Instance

An interface to wrap the Protege Instance and Frame interfaces for OWL. This basically deprecates most methods and points to their replacements in the OWL API.

Author:
  Holger Knublauch

Method Summary
`void` | `addDirectType(edu.stanford.smi.protege.model.Cls cls)` Deprecated.
`void` | `addFrameListener(edu.stanford.smi.protege.event.FrameListener listener)` Deprecated.
`void` | `addInstanceListener(edu.stanford.smi.protege.event.InstanceListener listener)` Deprecated.
`boolean` | `addOwnFacetValue(edu.stanford.smi.protege.model.Slot slot, edu.stanford.smi.protege.model.Facet facet, Object value)` Deprecated. no OWL equivalent
`void` | `addOwnSlotValue(edu.stanford.smi.protege.model.Slot slot, Object value)` Deprecated.
`boolean` | `areValidOwnSlotValues(edu.stanford.smi.protege.model.Slot slot, Collection values)` Deprecated. not needed
`edu.stanford.smi.protege.model.Frame` | `copy(edu.stanford.smi.protege.model.KnowledgeBase kb, Map valueMap, boolean isDeep)` Deprecated. not needed
`edu.stanford.smi.protege.model.Frame` | `deepCopy(edu.stanford.smi.protege.model.KnowledgeBase kb, Map valueMap)` Deprecated. not needed
`String` | `getBrowserText()`
`Object` | `getDirectOwnSlotValue(edu.stanford.smi.protege.model.Slot slot)` Deprecated.
`List` | `getDirectOwnSlotValues(edu.stanford.smi.protege.model.Slot slot)` Deprecated.
`edu.stanford.smi.protege.model.Cls` | `getDirectType()` Deprecated.
`Collection` | `getDirectTypes()` Deprecated.
`Collection` | `getDocumentation()` Deprecated.
`Icon` | `getIcon()` Deprecated. use ProtegeUI.getIcon() instead
`String` | `getInvalidOwnSlotValuesText(edu.stanford.smi.protege.model.Slot slot, Collection values)` Deprecated. not needed
`String` | `getInvalidOwnSlotValueText(edu.stanford.smi.protege.model.Slot slot, Object value)` Deprecated. not needed
`edu.stanford.smi.protege.model.KnowledgeBase` | `getKnowledgeBase()` Deprecated.
`Object` | `getOwnFacetValue(edu.stanford.smi.protege.model.Slot slot, edu.stanford.smi.protege.model.Facet facet)` Deprecated. no OWL equivalent
`Collection` | `getOwnFacetValues(edu.stanford.smi.protege.model.Slot slot, edu.stanford.smi.protege.model.Facet facet)` Deprecated. no OWL equivalent
`boolean` | `getOwnSlotAllowsMultipleValues(edu.stanford.smi.protege.model.Slot slot)` Deprecated. not needed
`Collection` | `getOwnSlotAndSubslotValues(edu.stanford.smi.protege.model.Slot slot)` Deprecated. not needed
`Collection` | `getOwnSlotDefaultValues(edu.stanford.smi.protege.model.Slot slot)` Deprecated. not needed
`Collection` | `getOwnSlotFacets(edu.stanford.smi.protege.model.Slot slot)` Deprecated. not needed
`Collection` | `getOwnSlotFacetValues(edu.stanford.smi.protege.model.Slot slot, edu.stanford.smi.protege.model.Facet facet)` Deprecated. not needed
`Collection` | `getOwnSlots()` Deprecated. replaced but includes subproperties!
`Object` | `getOwnSlotValue(edu.stanford.smi.protege.model.Slot slot)` Deprecated.
`int` | `getOwnSlotValueCount(edu.stanford.smi.protege.model.Slot slot)` Deprecated.
`Collection` | `getOwnSlotValues(edu.stanford.smi.protege.model.Slot slot)` Deprecated.
`edu.stanford.smi.protege.model.ValueType` | `getOwnSlotValueType(edu.stanford.smi.protege.model.Slot slot)` Deprecated. not needed
`edu.stanford.smi.protege.model.Project` | `getProject()`
`Collection` | `getReachableSimpleInstances()` Deprecated. not needed
`Collection` | `getReferences()`
`Collection` | `getReferences(int maxReferences)`
`boolean` | `hasDirectType(edu.stanford.smi.protege.model.Cls cls)` Deprecated.
`boolean` | `hasOwnSlot(edu.stanford.smi.protege.model.Slot slot)` Deprecated. not needed
`boolean` | `hasType(edu.stanford.smi.protege.model.Cls cls)` Deprecated. not needed
`boolean` | `isBeingDeleted()`
`boolean` | `isDeleted()`
`boolean` | `isEditable()`
`boolean` | `isIncluded()`
`boolean` | `isSystem()`
`boolean` | `isValidOwnSlotValue(edu.stanford.smi.protege.model.Slot slot, Object item)` Deprecated. not needed
`void` | `markDeleted(boolean deleted)`
`void` | `markDeleting()`
`void` | `removeDirectType(edu.stanford.smi.protege.model.Cls cls)` Deprecated.
`void` | `removeFrameListener(edu.stanford.smi.protege.event.FrameListener listener)` Deprecated.
`void` | `removeInstanceListener(edu.stanford.smi.protege.event.InstanceListener listener)` Deprecated.
`void` | `removeOwnSlotValue(edu.stanford.smi.protege.model.Slot slot, Object value)` Deprecated.
`void` | `setDirectOwnSlotValue(edu.stanford.smi.protege.model.Slot slot, Object value)` Deprecated.
`void` | `setDirectOwnSlotValues(edu.stanford.smi.protege.model.Slot slot, Collection values)` Deprecated.
`edu.stanford.smi.protege.model.Instance` | `setDirectType(edu.stanford.smi.protege.model.Cls cls)` Deprecated.
`edu.stanford.smi.protege.model.Instance` | `setDirectTypes(Collection types)` Deprecated.
`void` | `setDocumentation(Collection documentation)` Deprecated.
`void` | `setDocumentation(String documentation)` Deprecated.
`void` | `setEditable(boolean b)`
`void` | `setIncluded(boolean b)` Deprecated. this will be refactored into multiple imports
`void` | `setOwnFacetValue(edu.stanford.smi.protege.model.Slot slot, edu.stanford.smi.protege.model.Facet facet, Object value)` Deprecated. no OWL equivalent
`void` | `setOwnFacetValues(edu.stanford.smi.protege.model.Slot slot, edu.stanford.smi.protege.model.Facet facet, Collection values)` Deprecated. no OWL equivalent
`void` | `setOwnSlotValue(edu.stanford.smi.protege.model.Slot slot, Object value)` Deprecated.
`void` | `setOwnSlotValues(edu.stanford.smi.protege.model.Slot slot, Collection values)` Deprecated.
`edu.stanford.smi.protege.model.Frame` | `shallowCopy(edu.stanford.smi.protege.model.KnowledgeBase kb, Map valueMap)` Deprecated. not needed

Methods inherited from interface edu.stanford.smi.protege.model.Instance
`moveDirectType`

Methods inherited from interface edu.stanford.smi.protege.model.Frame
`assertFrameName, delete, getFrameID, getName, isValid, isVisible, moveDirectOwnSlotValue, rename, setVisible`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### addFrameListener

    void addFrameListener(edu.stanford.smi.protege.event.FrameListener listener)

  Deprecated.

  Specified by:
    `addFrameListener` in interface `edu.stanford.smi.protege.model.Frame`
  See Also:
    `RDFResource.addPropertyValueListener(edu.stanford.smi.protegex.owl.model.event.PropertyValueListener)`

### addInstanceListener

    void addInstanceListener(edu.stanford.smi.protege.event.InstanceListener listener)

  Deprecated.

  Specified by:
    `addInstanceListener` in interface `edu.stanford.smi.protege.model.Instance`
  See Also:
    `RDFResource.addResourceListener(edu.stanford.smi.protegex.owl.model.event.ResourceListener)`

### addOwnFacetValue

    boolean addOwnFacetValue(edu.stanford.smi.protege.model.Slot slot,
                             edu.stanford.smi.protege.model.Facet facet,
                             Object value)

  Deprecated. no OWL equivalent

  Specified by:
    `addOwnFacetValue` in interface `edu.stanford.smi.protege.model.Frame`

### addOwnSlotValue

    void addOwnSlotValue(edu.stanford.smi.protege.model.Slot slot,
                         Object value)

  Deprecated.

  Specified by:
    `addOwnSlotValue` in interface `edu.stanford.smi.protege.model.Frame`
  See Also:
    `RDFResource.addPropertyValue(edu.stanford.smi.protegex.owl.model.RDFProperty, java.lang.Object)`

### areValidOwnSlotValues

    boolean areValidOwnSlotValues(edu.stanford.smi.protege.model.Slot slot,
                                  Collection values)

  Deprecated. not needed

  Specified by:
    `areValidOwnSlotValues` in interface `edu.stanford.smi.protege.model.Frame`

### deepCopy

    edu.stanford.smi.protege.model.Frame deepCopy(edu.stanford.smi.protege.model.KnowledgeBase kb,
                                                  Map valueMap)

  Deprecated. not needed

  Specified by:
    `deepCopy` in interface `edu.stanford.smi.protege.model.Frame`

### shallowCopy

    edu.stanford.smi.protege.model.Frame shallowCopy(edu.stanford.smi.protege.model.KnowledgeBase kb,
                                                     Map valueMap)

  Deprecated. not needed

  Specified by:
    `shallowCopy` in interface `edu.stanford.smi.protege.model.Frame`

### copy

    edu.stanford.smi.protege.model.Frame copy(edu.stanford.smi.protege.model.KnowledgeBase kb,
                                              Map valueMap,
                                              boolean isDeep)

  Deprecated. not needed

  Specified by:
    `copy` in interface `edu.stanford.smi.protege.model.Frame`

### getBrowserText

    String getBrowserText()

  Specified by:
    `getBrowserText` in interface `edu.stanford.smi.protege.model.Frame`

### getIcon

    Icon getIcon()

  Deprecated. use ProtegeUI.getIcon() instead

  Specified by:
    `getIcon` in interface `edu.stanford.smi.protege.model.Frame`
  See Also:
    `ProtegeUI.getIcon(edu.stanford.smi.protegex.owl.model.RDFResource)`

### getDocumentation

    Collection getDocumentation()

  Deprecated.

  Specified by:
    `getDocumentation` in interface `edu.stanford.smi.protege.model.Frame`
  See Also:
    `RDFResource.getComments()`

### getInvalidOwnSlotValuesText

    String getInvalidOwnSlotValuesText(edu.stanford.smi.protege.model.Slot slot,
                                       Collection values)

  Deprecated. not needed

  Specified by:
    `getInvalidOwnSlotValuesText` in interface `edu.stanford.smi.protege.model.Frame`

### getInvalidOwnSlotValueText

    String getInvalidOwnSlotValueText(edu.stanford.smi.protege.model.Slot slot,
                                      Object value)

  Deprecated. not needed

  Specified by:
    `getInvalidOwnSlotValueText` in interface `edu.stanford.smi.protege.model.Frame`

### getKnowledgeBase

    edu.stanford.smi.protege.model.KnowledgeBase getKnowledgeBase()

  Deprecated.

  Specified by:
    `getKnowledgeBase` in interface `edu.stanford.smi.protege.model.Frame`
  See Also:
    `RDFResource.getOWLModel()`

### getOwnFacetValue

    Object getOwnFacetValue(edu.stanford.smi.protege.model.Slot slot,
                            edu.stanford.smi.protege.model.Facet facet)

  Deprecated. no OWL equivalent

  Specified by:
    `getOwnFacetValue` in interface `edu.stanford.smi.protege.model.Frame`

### getOwnFacetValues

    Collection getOwnFacetValues(edu.stanford.smi.protege.model.Slot slot,
                                 edu.stanford.smi.protege.model.Facet facet)

  Deprecated. no OWL equivalent

  Specified by:
    `getOwnFacetValues` in interface `edu.stanford.smi.protege.model.Frame`

### getOwnSlotAllowsMultipleValues

    boolean getOwnSlotAllowsMultipleValues(edu.stanford.smi.protege.model.Slot slot)

  Deprecated. not needed

  Specified by:
    `getOwnSlotAllowsMultipleValues` in interface `edu.stanford.smi.protege.model.Frame`

### getOwnSlotAndSubslotValues

    Collection getOwnSlotAndSubslotValues(edu.stanford.smi.protege.model.Slot slot)

  Deprecated. not needed

  Specified by:
    `getOwnSlotAndSubslotValues` in interface `edu.stanford.smi.protege.model.Frame`

### getOwnSlotDefaultValues

    Collection getOwnSlotDefaultValues(edu.stanford.smi.protege.model.Slot slot)

  Deprecated. not needed

  Specified by:
    `getOwnSlotDefaultValues` in interface `edu.stanford.smi.protege.model.Frame`

### getOwnSlotFacets

    Collection getOwnSlotFacets(edu.stanford.smi.protege.model.Slot slot)

  Deprecated. not needed

  Specified by:
    `getOwnSlotFacets` in interface `edu.stanford.smi.protege.model.Frame`

### getOwnSlotFacetValues

    Collection getOwnSlotFacetValues(edu.stanford.smi.protege.model.Slot slot,
                                     edu.stanford.smi.protege.model.Facet facet)

  Deprecated. not needed

  Specified by:
    `getOwnSlotFacetValues` in interface `edu.stanford.smi.protege.model.Frame`

### getOwnSlots

    Collection getOwnSlots()

  Deprecated. replaced but includes subproperties!

  Specified by:
    `getOwnSlots` in interface `edu.stanford.smi.protege.model.Frame`
  See Also:
    `RDFResource.getPossibleRDFProperties()`

### getDirectOwnSlotValue

    Object getDirectOwnSlotValue(edu.stanford.smi.protege.model.Slot slot)

  Deprecated.

  Specified by:
    `getDirectOwnSlotValue` in interface `edu.stanford.smi.protege.model.Frame`
  See Also:
    `(false)`

### getOwnSlotValue

    Object getOwnSlotValue(edu.stanford.smi.protege.model.Slot slot)

  Deprecated.

  Specified by:
    `getOwnSlotValue` in interface `edu.stanford.smi.protege.model.Frame`
  See Also:
    `(true)`

### getOwnSlotValueCount

    int getOwnSlotValueCount(edu.stanford.smi.protege.model.Slot slot)

  Deprecated.

  Specified by:
    `getOwnSlotValueCount` in interface `edu.stanford.smi.protege.model.Frame`
  See Also:
    `RDFResource.getPropertyValueCount(edu.stanford.smi.protegex.owl.model.RDFProperty)`

### getOwnSlotValues

    Collection getOwnSlotValues(edu.stanford.smi.protege.model.Slot slot)

  Deprecated.

  Specified by:
    `getOwnSlotValues` in interface `edu.stanford.smi.protege.model.Frame`
  See Also:
    `(true)`

### getDirectOwnSlotValues

    List getDirectOwnSlotValues(edu.stanford.smi.protege.model.Slot slot)

  Deprecated.

  Specified by:
    `getDirectOwnSlotValues` in interface `edu.stanford.smi.protege.model.Frame`
  See Also:
    `RDFResource.getPropertyValues(edu.stanford.smi.protegex.owl.model.RDFProperty)`

### getOwnSlotValueType

    edu.stanford.smi.protege.model.ValueType getOwnSlotValueType(edu.stanford.smi.protege.model.Slot slot)

  Deprecated. not needed

  Specified by:
    `getOwnSlotValueType` in interface `edu.stanford.smi.protege.model.Frame`

### getProject

    edu.stanford.smi.protege.model.Project getProject()

  Specified by:
    `getProject` in interface `edu.stanford.smi.protege.model.Frame`

### getReferences

    Collection getReferences()

  Specified by:
    `getReferences` in interface `edu.stanford.smi.protege.model.Frame`

### getReferences

    Collection getReferences(int maxReferences)

  Specified by:
    `getReferences` in interface `edu.stanford.smi.protege.model.Frame`

### hasOwnSlot

    boolean hasOwnSlot(edu.stanford.smi.protege.model.Slot slot)

  Deprecated. not needed

  Specified by:
    `hasOwnSlot` in interface `edu.stanford.smi.protege.model.Frame`

### isEditable

    boolean isEditable()

  Specified by:
    `isEditable` in interface `edu.stanford.smi.protege.model.Frame`

### isIncluded

    boolean isIncluded()

  Specified by:
    `isIncluded` in interface `edu.stanford.smi.protege.model.Frame`

### isSystem

    boolean isSystem()

  Specified by:
    `isSystem` in interface `edu.stanford.smi.protege.model.Frame`

### markDeleting

    void markDeleting()

  Specified by:
    `markDeleting` in interface `edu.stanford.smi.protege.model.Frame`

### markDeleted

    void markDeleted(boolean deleted)

  Specified by:
    `markDeleted` in interface `edu.stanford.smi.protege.model.Frame`

### isDeleted

    boolean isDeleted()

  Specified by:
    `isDeleted` in interface `edu.stanford.smi.protege.model.Frame`

### isBeingDeleted

    boolean isBeingDeleted()

  Specified by:
    `isBeingDeleted` in interface `edu.stanford.smi.protege.model.Frame`

### isValidOwnSlotValue

    boolean isValidOwnSlotValue(edu.stanford.smi.protege.model.Slot slot,
                                Object item)

  Deprecated. not needed

  Specified by:
    `isValidOwnSlotValue` in interface `edu.stanford.smi.protege.model.Frame`

### removeFrameListener

    void removeFrameListener(edu.stanford.smi.protege.event.FrameListener listener)

  Deprecated.

  Specified by:
    `removeFrameListener` in interface `edu.stanford.smi.protege.model.Frame`
  See Also:
    `RDFResource.removePropertyValueListener(edu.stanford.smi.protegex.owl.model.event.PropertyValueListener)`

### removeInstanceListener

    void removeInstanceListener(edu.stanford.smi.protege.event.InstanceListener listener)

  Deprecated.

  Specified by:
    `removeInstanceListener` in interface `edu.stanford.smi.protege.model.Instance`
  See Also:
    `RDFResource.removeResourceListener(edu.stanford.smi.protegex.owl.model.event.ResourceListener)`

### removeOwnSlotValue

    void removeOwnSlotValue(edu.stanford.smi.protege.model.Slot slot,
                            Object value)

  Deprecated.

  Specified by:
    `removeOwnSlotValue` in interface `edu.stanford.smi.protege.model.Frame`
  See Also:
    `RDFResource.removePropertyValue(edu.stanford.smi.protegex.owl.model.RDFProperty, java.lang.Object)`

### setDocumentation

    void setDocumentation(String documentation)

  Deprecated.

  Specified by:
    `setDocumentation` in interface `edu.stanford.smi.protege.model.Frame`
  See Also:
    `RDFResource.setComment(java.lang.String)`

### setDocumentation

    void setDocumentation(Collection documentation)

  Deprecated.

  Specified by:
    `setDocumentation` in interface `edu.stanford.smi.protege.model.Frame`
  See Also:
    `RDFResource.setComments(java.util.Collection)`

### setEditable

    void setEditable(boolean b)

  Specified by:
    `setEditable` in interface `edu.stanford.smi.protege.model.Frame`

### setIncluded

    void setIncluded(boolean b)

  Deprecated. this will be refactored into multiple imports

  Specified by:
    `setIncluded` in interface `edu.stanford.smi.protege.model.Frame`

### setOwnFacetValue

    void setOwnFacetValue(edu.stanford.smi.protege.model.Slot slot,
                          edu.stanford.smi.protege.model.Facet facet,
                          Object value)

  Deprecated. no OWL equivalent

  Specified by:
    `setOwnFacetValue` in interface `edu.stanford.smi.protege.model.Frame`

### setOwnFacetValues

    void setOwnFacetValues(edu.stanford.smi.protege.model.Slot slot,
                           edu.stanford.smi.protege.model.Facet facet,
                           Collection values)

  Deprecated. no OWL equivalent

  Specified by:
    `setOwnFacetValues` in interface `edu.stanford.smi.protege.model.Frame`

### setOwnSlotValue

    void setOwnSlotValue(edu.stanford.smi.protege.model.Slot slot,
                         Object value)

  Deprecated.

  Specified by:
    `setOwnSlotValue` in interface `edu.stanford.smi.protege.model.Frame`
  See Also:
    `RDFResource.setPropertyValue(edu.stanford.smi.protegex.owl.model.RDFProperty, java.lang.Object)`

### setDirectOwnSlotValue

    void setDirectOwnSlotValue(edu.stanford.smi.protege.model.Slot slot,
                               Object value)

  Deprecated.

  Specified by:
    `setDirectOwnSlotValue` in interface `edu.stanford.smi.protege.model.Frame`
  See Also:
    `RDFResource.setPropertyValue(edu.stanford.smi.protegex.owl.model.RDFProperty, java.lang.Object)`

### setOwnSlotValues

    void setOwnSlotValues(edu.stanford.smi.protege.model.Slot slot,
                          Collection values)

  Deprecated.

  Specified by:
    `setOwnSlotValues` in interface `edu.stanford.smi.protege.model.Frame`
  See Also:
    `RDFResource.setPropertyValues(edu.stanford.smi.protegex.owl.model.RDFProperty, java.util.Collection)`

### setDirectOwnSlotValues

    void setDirectOwnSlotValues(edu.stanford.smi.protege.model.Slot slot,
                                Collection values)

  Deprecated.

  Specified by:
    `setDirectOwnSlotValues` in interface `edu.stanford.smi.protege.model.Frame`
  See Also:
    `RDFResource.setPropertyValues(edu.stanford.smi.protegex.owl.model.RDFProperty, java.util.Collection)`

### getDirectType

    edu.stanford.smi.protege.model.Cls getDirectType()

  Deprecated.

  Specified by:
    `getDirectType` in interface `edu.stanford.smi.protege.model.Instance`
  See Also:
    `RDFResource.getProtegeType()`

### getDirectTypes

    Collection getDirectTypes()

  Deprecated.

  Specified by:
    `getDirectTypes` in interface `edu.stanford.smi.protege.model.Instance`
  See Also:
    `RDFResource.getProtegeTypes()`

### getReachableSimpleInstances

    Collection getReachableSimpleInstances()

  Deprecated. not needed

  Specified by:
    `getReachableSimpleInstances` in interface `edu.stanford.smi.protege.model.Instance`

### hasDirectType

    boolean hasDirectType(edu.stanford.smi.protege.model.Cls cls)

  Deprecated.

  Specified by:
    `hasDirectType` in interface `edu.stanford.smi.protege.model.Instance`
  See Also:
    `RDFResource.hasProtegeType(edu.stanford.smi.protegex.owl.model.RDFSClass)`

### hasType

    boolean hasType(edu.stanford.smi.protege.model.Cls cls)

  Deprecated. not needed

  Specified by:
    `hasType` in interface `edu.stanford.smi.protege.model.Instance`

### setDirectType

    edu.stanford.smi.protege.model.Instance setDirectType(edu.stanford.smi.protege.model.Cls cls)

  Deprecated.

  Specified by:
    `setDirectType` in interface `edu.stanford.smi.protege.model.Instance`
  See Also:
    `RDFResource.setProtegeType(edu.stanford.smi.protegex.owl.model.RDFSClass)`

### setDirectTypes

    edu.stanford.smi.protege.model.Instance setDirectTypes(Collection types)

  Deprecated.

  Specified by:
    `setDirectTypes` in interface `edu.stanford.smi.protege.model.Instance`
  See Also:
    `RDFResource.setProtegeTypes(java.util.Collection)`

### addDirectType

    void addDirectType(edu.stanford.smi.protege.model.Cls cls)

  Deprecated.

  Specified by:
    `addDirectType` in interface `edu.stanford.smi.protege.model.Instance`
  See Also:
    `RDFResource.addProtegeType(edu.stanford.smi.protegex.owl.model.RDFSClass)`

### removeDirectType

    void removeDirectType(edu.stanford.smi.protege.model.Cls cls)

  Deprecated.

  Specified by:
    `removeDirectType` in interface `edu.stanford.smi.protege.model.Instance`
  See Also:
    `RDFResource.removeProtegeType(edu.stanford.smi.protegex.owl.model.RDFSClass)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.